/*
 * HelloConverter.java
 *
 * Created on 2006/12/13, 17:07
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package weber_4_0_sample.org.itscool.customtag;

import javax.servlet.ServletContext;
import javax.servlet.http.HttpServletRequest;
import org.itscool.stylist.io.HtmlConverter;
import org.itscool.stylist.tag.HtmlAttribute;
import org.itscool.stylist.tag.HtmlTag;

/**
 *
 * @author ios
 */
public class HelloConverter extends HtmlConverter {
    
    /**
     * 応答用のXHTMLデータの作成を開始します
     * @param node HtmlTagインスタンス
     * @return 応答データ
     */
    public String convert(HtmlTag node, String tab) {
        StringBuffer sb = new StringBuffer();
//        HtmlAttribute attribute = node.getHtmlAttribute("your_name");
        sb.append(tab);
        sb.append("Hello hogehoge");
        
        return sb.toString();
    }
}
